Решение проблем функциональной совместимости спецификации WS-Security, Часть 3. Использование EJB-прокси

Из архивов сайта developerWorks

Зейнеп Латиф и Дэвид Ли

Дата архивации: 22.05.2019 | Впервые опубликовано: 02.03.2012

При использовании спецификации WS-Security несовместимость ее различных версий не позволяет клиентским приложениям, разработанным на основе Java™ 2 Platform, Enterprise Edition (J2EE) 1.3, взаимодействовать с поставщиками Web-сервисов, разработанными на базе J2EE 1.4. В этой статье, третьей в серии, объясняется, как решить проблему функциональной несовместимости WS-Security с помощью EJB-прокси. В конце статьи приведены тестовые примеры приложений.

Этот контент больше не обновляется и не поддерживается. Полный текст статьи предоставляется "как есть" в формате PDF. Учитывая стремительное развитие технологий, некоторые шаги и иллюстрации могут быть изменены.



static.content.url=http://www.ibm.com/developerworks/js/artrating/
SITE_ID=40
Zone=SOA и web-сервисы
ArticleID=800268
ArticleTitle=Решение проблем функциональной совместимости спецификации WS-Security: Часть 3. Использование EJB-прокси
publish-date=03022012